{% extends "base/base.html" %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Citas {% endblock title %}</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-GLhlTQ8iKAYtrfyt0BxHsWtEAy/SVaVR25QxQJt6fD5IIVKA+IbdKkGPVP" crossorigin="anonymous">
</head>
<body class="bg-light">
    {% block content %}
    
    {% if request.user.is_authenticated %}
    
            <br>
        <br>
        <br>
        <center>
        <div class="container mt-4">
    <div class="card mx-auto" style="max-width: 400px;">
        <div class="card-body">
            <div class="text-center">
                <h2>Agendar Cita</h2>
                <br>
            </div>
            <form action="{% url 'home:Confirmar' %}" method="post" class="form">
                {% csrf_token %}
                <label for="fecha">Fecha:</label><br>
                <input type="date" name="Fecha" id="fecha" required>
                <br>
                <br>
                <h5>Seleccione hora</h5>
                <label for="hora"></label>
                <select id="hora" name="Hora" class="form-control">
                    <option value="08:00"> 8:00 </option>
                    <option value="09:00"> 9:00 </option>
                    <option value="10:00"> 10:00 </option>
                    <option value="11:00"> 11:00 </option>
                    <option value="12:00"> 12:00 </option>
                    <option value="13:00"> 13:00 </option>
                    <option value="14:00"> 14:00 </option>
                    <option value="15:00"> 15:00 </option>
                    <option value="16:00"> 16:00 </option>
                    <option value="17:00"> 17:00 </option>
                    <option value="18:00"> 18:00 </option>
                    <option value="19:00"> 19:00 </option>
                </select>
                <br>
                <br>
                <div class="text-center mt-3">
                    <button type="submit" class="btn btn-outline-primary btn-block">Agendar cita</button>
                </div>
            </form>
        </div>
    </div>
</div>

    {% else %}
        <div class="container mt-5">
            <form action="" method="post" class="login-form">
                {% csrf_token %}
                {{ form }}
                <br>
                <center>
                    <button type="submit" class="btn btn-primary">Iniciar sesión</button>
                <br>
                </form>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <br>
                <p class="mt-3" >
                    Si no tienes una cuenta, regístrate <a href="{% url 'home:signup' %}" class="btn btn-link">aquí</a>
                </p>
                <center>
        </div>
    {% endif %} 

    <footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>

    {% endblock content %}

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJgZl3O5PmEkxZKPMl0dQxMyBXLa9sd06ncYKApvkkzxZ3fsB1b33" crossorigin="anonymous"></script>
    <!-- Asegúrate de que Bootstrap.js esté incluido -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8sh+WyJqXfX7DEqXt1Y2bd+QZz6p0iSXYJ5n9B" crossorigin="anonymous"></script>
</body>
</html>